/*
 * pi - P user Interface
 * 
 * $Id: label.c,v 1.1.1.1 2001/02/13 18:30:27 malekith Exp $
 * Author: Michal Moskal <malekith@pld.org.pl>
 * include COPYING-GNU
 */

#include <pi/pi.h>
#include <string.h>

void pi_label_draw(struct pi_object *ctx)
{
	pi_locate(ctx, 0, 0);
	pi_set_color(ctx, 0);
	pi_addstrn_fill(pi_ptr(caption), ctx->w);
}

struct pi_object *pi_new_label(struct pi_object *ctx, struct pi_object *super)
{
	char *caption;
	
	pi_new_init((0,
			pi_tag_flags, 0,
			pi_tag_draw_handler, pi_label_draw,
			pi_tag_caption, "",
	0), object);

	caption = pi_ptrd(caption, "");
	pi_set_tag(ret, pi_tag_caption | pi_tf_free, strdup(caption));

	pi_init_size(ret, 0, 0, strlen(caption), 1);

	return ret;
}
